<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
$set['title']='Мой Магазин';

include_once '../../sys/inc/thead.php';
title();
err();     
aut();
if(!isset($user)){
echo "Необходима регистрация<br/>";
}
else
{
$qk=mysql_result(mysql_query("SELECT COUNT(*) FROM `magaz` WHERE `id_u`='".$user['id']."'"), 0);
if($qk=='0'){
if(!isset($_POST['submit'])){
  echo "Привет,".$user['nick']."<br/>
  У тебя всего 1000р<br/>
  Выбери название и вид для магзина(предприятия).<br/>
 <form method='post' action='?$passgen'>
  Название магазина:<br/>
  <input type='text' name='name' maxlength='64'/>
  <br/>Вид:<br/>
  <select name='domain'>
  ";

for($i='1';$i<'9';$i++){
if($i=='1'){
$domain='/ Ларьок';
}
elseif($i=='2'){
$domain='/ Сеть';
}
elseif($i=='3'){
$domain='/ Компания';
}
elseif($i=='4'){
$domain='/ Shop';
}
elseif($i=='5'){
$domain='/ Минимаркет';
}
elseif($i=='6'){
$domain='/ ЧП';
}
elseif($i=='7'){
$domain='/ Супермаркет';
}
elseif($i=='8'){
$domain='/ Торговый Центр';
}
echo "<option value='$domain'>$domain</option>";
}
echo "</select><br/><input type='hidden' name ='price' value='100'/>
<input type='submit' value='Купить' name='submit'/></form> ";
}
elseif(isset($_POST['submit']) && $_POST['name']!='')
{
$name=mysql_real_escape_string($_POST['name']);
if(!preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $name)){
msg("Название должно состоять только из английских/русских букв");
echo "<a href='index.php?$passgen'>Назад</a><br/>";
include_once '../sys/inc/tfoot.php';
break;
}
$price=abs(intval($_POST['price']));
$domain=mysql_real_escape_string($_POST['domain']);
$link="$name$domain";

$dengi=1000-$price;
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `magaz` WHERE `link`='$link'"),0)=='0'){
$ntime=time()+60*60*10;
mysql_query("INSERT INTO `magaz`(`id_u`, `link`, `dengi`, `tarif`, `time_h`, `rekl_cost`) VALUES('".$user['id']."', '".$link."', '".$dengi."', '100', '$ntime', '100')");
msg('Вы успешно создали свой Магазин!');
echo "<a href='index.php?$passgen'>В магазин</a><br/>";
}
else
{msg('Магазин с таким именем уже есть!');
echo "<a href='index.php?$passgen'>Назад</a><br/>";
}}
}else{
$arr=mysql_fetch_array(mysql_query("SELECT * FROM `magaz` WHERE `id_u`='$user[id]'"));
echo "<div class='aut'>".output_text($arr['link'])."</div>\n";
echo "<div class='f1'>- Ваш бюджет: ".intval($arr['dengi'])."<img src='d.gif'/></div>\n";
echo "<div class='f2'>- Ваш тариф: ".intval($arr['tarif_abs'])."/".intval($arr['tarif'])." шт.</div>\n";
echo "<div class='f1'>- Посетителей: ".intval($arr['host_day'])."</div>\n";
echo "<div class='f2'>- Посищений: ".intval($arr['hit_day'])."</div>\n";
echo "<div class='f1'>- Посетителей всего: ".intval($arr['host'])."</div>\n";
echo "<div class='f2'>- Посищений всего: ".intval($arr['hit'])."</div>\n";
echo "<div class='f1'>- Продукция: ".intval($arr['reg'])."</div>\n";
echo "<div class='f2'>- Стоимость продажи продукции: ".intval($arr['rekl_cost'])."</div>\n";
echo "<div class='f1'>- Продано продукции: ".intval($arr['rekl_my'])."</div>\n";
if($arr['time_h']<=time()){
if($arr['time_r']>=time()){
$add=$arr['rekl_h'];
}else{
$add=1;
}
$host=rand(1,10)+$add+round($arr['host_day']/5);
$hit2=rand(1,200);
$hit=round($host+$hit2)*$add;
$reg2=rand(1,10);
$allz=$arr['tarif_abs'];
$regs=round($allz/100);
if($regs=='0'){
$regs=1;
}
$reg=$reg2*$regs+round($add/10);
$prib2=rand(1,100)+$add;
$prib=$prib2*$arr['reg'];
$time_h=time()+60*60*10;
$nhost=$host+$arr['host'];
mysql_query("UPDATE `magaz` SET `host`=`host`+$host, `host_day`='$host', `hit_day`='$hit', `hit`=`hit`+$hit, `reg`=`reg`+$reg, `dengi`=`dengi`+$prib, `time_h`='$time_h' WHERE `id_u`='".$user['id']."'");
echo "<div class='aut'>Получена прибыль в размере $prib <img src='d.gif'/></div>";
}
################################################################################
$mod=htmlspecialchars(trim($_GET['mod']));
echo "<div class='aut'>Действия</div>";
switch($mod){
################################################################################
default:
echo "<div class='f2'><img src='tarif.gif'/> <a href='?mod=tarif'>Сменить тариф Аренды</a></div>\n";
echo "<div class='f1'><img src='down.png'/> <a href='?mod=tabs'>Инвентарь на магазин</a></div>\n";
echo "<div class='f2'><img src='rekl.png'/> <a href='?mod=reklama'>Cтоимость продукции</a></div>\n";
echo "<div class='f1'><img src='opis.png'/> <a href='?mod=opis'>Описание Магазина</a></div>\n";
echo "<div class='f2'><img src='top.png'/> <a href='?mod=top'>Топ предприятий</a></div>\n";
echo "<div class='f1'><img src='h.gif'/> <a href='?mod=how'>Как играть</a></div>\n";
break;
################################################################################
case 'top':
$all_sites=mysql_result(mysql_query("SELECT COUNT(*) FROM `magaz`"),0);
$k_page=k_page($all_sites,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$all_site=mysql_query("SELECT * FROM `magaz` ORDER BY `host_day` DESC LIMIT $start,$set[p_str]");
while($ar=mysql_fetch_array($all_site)){
if($num==1){ 
echo "<div class='f1'>"; 
$num=0;}
else{ 
echo "<div class='f2'>"; 
$num=1;}
echo "<a href='?mod=site&amp;id=$ar[id]'>".output_text($ar['link'])."</a><br/>\n";
if ($ar['link_opis']!=NULL)echo "".output_text($ar['link_opis'])."<br />\n";
else
echo "\n";
echo "
Посетителей : $ar[host_day]<br/>\n
Посещений : $ar[hit_day]\n";
echo "</div>";
}
if($k_page>'1')str('?mod=top&amp;',$k_page,$page);
echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
break;
case 'site':
$id=intval(abs($_GET['id']));
$all_sites=mysql_result(mysql_query("SELECT COUNT(*) FROM `magaz` WHERE `id`='$id'"),0);
if($all_sites=='1'){
$all_site=mysql_query("SELECT * FROM `magaz` WHERE `id`='$id'");
while($ar=mysql_fetch_array($all_site)){
echo "<div class='f1'>- Название магазина: ".output_text($ar['link'])."</div>\n";
echo "<div class='f2'>- Бюджет магазина : ".intval($ar['dengi'])."<img src='d.gif'/></div>\n";
echo "<div class='f1'>- Тариф : ".intval($ar['tarif_abs'])."/".intval($ar['tarif'])." шт.</div>\n";
echo "<div class='f2'>- Посетителей : ".intval($ar['host_day'])."</div>\n";
echo "<div class='f1'>- Посищений : ".intval($ar['hit_day'])."</div>\n";
echo "<div class='f2'>- Посетителей всего: ".intval($ar['host'])."</div>\n";
echo "<div class='f1'>- Посещений всего: ".intval($ar['hit'])."</div>\n";
echo "<div class='f2'>- Продукции : ".intval($ar['reg'])."</div>\n";
echo "<div class='f1'>- Стоимость продажи продукции : ".intval($ar['rekl_cost'])."</div>\n";
if($id!=$arr['id']){
echo "<div class='f2'><a href='?mod=rekadd&amp;id=$ar[id]'>Купить продукцию</a></div>\n";
}
}}else{
echo "У Вас недостаточно денег!";
}
echo "<div class='aut'><a href='?'>Назад</a></div>\n";
break;
################################################################################
case 'rekadd':
$id=intval(abs($_GET['id']));
$all_sites=mysql_result(mysql_query("SELECT COUNT(*) FROM `magaz` WHERE `id`='$id'"),0);
if($all_sites=='1' && $id!=$arr['id']){
$all_site=mysql_query("SELECT * FROM `magaz` WHERE `id`='$id'");
while($ar=mysql_fetch_array($all_site)){
if($arr['dengi']>=$ar['rekl_cost']){
$nhost=round($ar['host_day']/5);
$newtime=time()+60*60*10*7;
mysql_query("UPDATE `magaz` SET `time_r`='$newtime', `dengi`=`dengi`-$ar[rekl_cost], `rekl_h`='$nhost' WHERE `id_u`='".$user['id']."'");
mysql_query("UPDATE `magaz` SET `rekl_my`=`rekl_my`+'1', `dengi`=`dengi`+$ar[rekl_cost] WHERE `id`='$id'");
msg('Успешно');
}else{
msg('Нехватает денег');
}}}
else{
echo "У Вас недостаточно денег!";
}
echo "<a href='?'>Назад</a><br/>";
break;
################################################################################
case 'reklama':
if(isset($_POST['submit'])){
$colvo=abs(intval($_POST['colvo']));
if($colvo<='99'){
$colvo=100;
}
mysql_query("UPDATE `magaz` SET `rekl_cost`='$colvo' WHERE `id_u`='".$user['id']."'");
msg('Успешно');
}else{
echo "Стоимость продукции в вашем магазине:(мин. 100)<br/>
<form method='post' action='?mod=reklama&amp;$passgen'>
<input name='colvo' maxlength='5'/>
<input type='submit' value='Изменить!' name='submit'/>
</form>";
}
echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
break;
################################################################################
case 'opis':
if(isset($_POST['submit'])){
$colvo=mysql_real_escape_string($_POST['colvo']);
mysql_query("UPDATE `magaz` SET `link_opis`='$colvo' WHERE `id_u`='".$user['id']."'");
msg('Успешно');
echo "<a href='?'>В магазин</a><br/>";
}
else
{
echo "Описание вашего магазина:<br/>
<form method='post' action='?mod=opis&amp;$passgen'>
<input name='colvo' maxlength='32'/>
<input type='submit' value='Изменить!' name='submit'/>
</form>";
}
echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
break;
################################################################################
case 'tabs':
$dostup=$arr['tarif']-$arr['tarif_abs'];
if(isset($_POST['submit'])){
$colvo=abs(intval($_POST['colvo']));
$dengii=$colvo*20;
if($dengii<=$arr['dengi'] && $colvo<=$dostup){
mysql_query("UPDATE `magaz` SET `dengi`=`dengi`-$dengii, `tarif_abs`=`tarif_abs`+$colvo WHERE `id_u`='".$user['id']."'");
msg('Успешно');
}
else
{
msg('У Вас недостаточно денег!');
}
}
else
{
echo "Сколько Закупить инвентаря?(доступно $dostup шт.)<br/>
*стоимость 1шт - 20р<br/>
<form method='post' action='?mod=tabs&amp;$passgen'>
<input name='colvo' maxlength='5'/>
<input type='submit' value='Закупить!' name='submit'/>
</form>";
}
echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
break;
################################################################################
case 'tarif':
if($arr['tarif']<='299'){
echo "<div class='f1'>300шт <a href='?mod=kup1'>Купить (500p)</a></div>\n";
}
if($arr['tarif']<='699'){
echo "<div class='f2'>700шт <a href='?mod=kup2'>Купить (1000p)</a></div>\n";
}
if($arr['tarif']<='1499'){
echo "<div class='f1'>1500шт <a href='?mod=kup3'>Купить (2000p)</a></div>\n";
}
if($arr['tarif']<='2599'){
echo "<div class='f2'>2500шт <a href='?mod=kup4'>Купить (3500p)</a></div>\n";
}
if($arr['tarif']<='4999'){
echo "<div class='f1'>5000шт <a href='?mod=kup5'>Купить (7000p)</a></div>\n";
}
if($arr['tarif']<='6999'){
echo "<div class='f2'>7000шт <a href='?mod=kup6'>Купить (15000p)</a></div>\n";
}
if($arr['tarif']<='9999'){
echo "<div class='f1'>10000шт <a href='?mod=kup7'>Купить (30000p)</a></div>\n";
}
echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
break;
################################################################################
case 'kup1':
if($arr['tarif']<='299' && $arr['dengi']>='500'){
mysql_query("UPDATE `magaz` SET `tarif`='300', `dengi`=`dengi`-500 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>У Вас недостаточно денег!</div>";
}
echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
break;
################################################################################
case 'kup2':
if($arr['tarif']=='700' && $arr['dengi']>='1000'){
mysql_query("UPDATE `magaz` SET `tarif`='700', `dengi`=`dengi`-1000 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>У Вас недостаточно денег!</div>";
}
echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
break;
################################################################################
case 'kup3':
if($arr['tarif']=='1500' && $arr['dengi']>='2000'){
mysql_query("UPDATE `magaz` SET `tarif`='1500', `dengi`=`dengi`-2000 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>У Вас недостаточно денег!</div>";
}
echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
break;
################################################################################
case 'kup4':
if($arr['tarif']=='2500' && $arr['dengi']>='3500'){
mysql_query("UPDATE `magaz` SET `tarif`='2500', `dengi`=`dengi`-3500 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>У Вас недостаточно денег!</div>";
}
echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
break;
################################################################################
case 'kup5':
if($arr['tarif']=='5000' && $arr['dengi']>='7000'){
mysql_query("UPDATE `magaz` SET `tarif`='5000', `dengi`=`dengi`-7000 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>У Вас недостаточно денег!</div>";
}
echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
break;
################################################################################
case 'kup6':
if($arr['tarif']=='7000' && $arr['dengi']>='15000'){
mysql_query("UPDATE `magaz` SET `tarif`='7000', `dengi`=`dengi`-15000 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>У Вас недостаточно денег!</div>";
}
echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
break;
################################################################################
case 'kup7':
if($arr['tarif']=='10000' && $arr['dengi']>='30000'){
mysql_query("UPDATE `magaz` SET `tarif`='10000', `dengi`=`dengi`-30000 WHERE `id_u`='$user[id]' LIMIT 1");
msg('Тариф успешно изменён');
}else{
echo "<div class='err'>У Вас недостаточно денег!</div>";
}
echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
break;
################################################################################
case 'how':
echo "<div class='f1'>В этой игре вам предоставится возможность построить свой Магазин!  <br/>\n
1)Для начала вам необходимо выбрать домен с различными домеными зонами.    <br/>\n
2)Цель игры - заработать как можно больше Посешений в день.\n Для этого вам понадобится покупать продукцию других предприятий(других пользователей), закупать инвентарь.\n Также вы можете продавать продукцию со своего магазина(стоимсть не ниже 100р).\n
 <br/>Чем больше у вас Посетителей в день - тем выше вы в топе и тем самым у вас больше денег)\n
 <br/>3)В игре присутствуют такие параметры:\n
 <br/>Хосты в день- количество посещений в день *\n
 <br/>Хиты в день- количество переходов по вашему сайту в день\n
 <br/>Хосты всего- количество посещений за всю игру\n
 <br/>Хиты всего- количество переходов по вашему сайту за всю игру\n
 <br/>Тариф - дисковое пространство для вашего сайта(можно увеличить в течении игры).\n
 <br/>Загрузки - чем больше загрузок - тем больше посещаемость\n
 <br/>Продукция - чем больше продукции - тем больше заработок\n
 <br/>Описание сайта - описание вашего сайта в топе сайтов <br/>* игровой день - 10 часов реального времени</div>\n";
 echo "<div class='aut'><a href='?$passgen'>В магазин</a></div>\n";
 break;
}


}
}
include_once '../../sys/inc/tfoot.php';

?>

